Billing
Get billing status
GET
/billing/statusAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id?string
Workspace ID
organization_id?string
Organization ID
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/billing/status"{ "$schema": "https://example.com/api/v1/schemas/BillingStatusResponse.json", "access_restricted": true, "billing_contact_email": "string", "can_manage_billing": true, "cancel_at_period_end": true, "current_period_end": "string", "limits": { "property1": 0, "property2": 0 }, "organization_id": "string", "past_due_since": "string", "period_start": "string", "plan_id": "string", "provider": "string", "provider_costs": [ { "budget_microusd": 0, "cost_microusd": 0, "currency": "string", "event_count": 0, "operations": [ { "cost_microusd": 0, "event_count": 0, "operation": "string", "reserved_cost_microusd": 0, "reserved_event_count": 0, "reserved_units": 0, "units": 0 } ], "period_start": "string", "pricing_source_url": "string", "provider": "string", "reserved_cost_microusd": 0, "reserved_event_count": 0, "reserved_units": 0, "units": 0 } ], "status": "string", "usage": { "property1": 0, "property2": 0 }, "workspace_id": "string"}Create or validate a hosted plan purchase choice POST
Returns canonical plan, price, trial, payment, and expiry facts in an integrity-protected continuation token.
Confirm the first workspace and purchase POST
Creates the signed-in Owner's first Workspace and one checkout attempt bound to the confirmed purchase choice. Exact retries resume the same attempt.